# Gimp.Channel

    const Gimp = imports.gi.Gimp;

    let channel = new Gimp.Channel();

Functions for manipulating channels.

## Hierarchy

- GObject.Object
  - Gimp.Item
    - Gimp.Drawable
      - Gimp.Channel

## Constructors

- Gimp.Channel.new
- Gimp.Channel.new_from_component

## Methods

- Gimp.Channel.prototype.combine_masks
- Gimp.Channel.prototype.copy
- Gimp.Channel.prototype.get_color
- Gimp.Channel.prototype.get_opacity
- Gimp.Channel.prototype.get_show_masked
- Gimp.Channel.prototype.set_color
- Gimp.Channel.prototype.set_opacity
- Gimp.Channel.prototype.set_show_masked

## Static Functions

- Gimp.Channel.get_by_id